> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Earning Ratios data

> Retrieve earning ratios for a list of symbols. Includes metrics like P/E ratio, EPS, and other earnings-related ratios.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "result": [
      {
        "company": {
          "primarySymbol": "AAPL",
          "primaryExchange": "NAS",
          "cik": "320193",
          "isin": "CA03785Y1007",
          "cusip": "03785Y100",
          "standardName": "Apple",
          "countryId": "USA",
          "isReit": false,
          "industryTemplateCode": "N",
          "businessCountryId": "USA",
          "isLimitedPartnership": false,
          "yearofEstablishment": 1977,
          "isLimitedLiabilityCompany": false
        },
        "earningRatios": [
          {
            "id": {
              "shareClassId": "0P000000GY",
              "asOf": "2025-09-30",
              "reportType": "R",
              "period": "3M",
              "aorOrRestate": "RESTATE"
            },
            "fiscalYearEnd": 9,
            "dilutedEpsGrowth": 0.907216,
            "dilutedContEpsGrowth": 0.907216,
            "dpsGrowth": 0.04,
            "normalizedDilutedEpsGrowth": 0.907216,
            "normalizedBasicEpsGrowth": 0.907216
          }
        ],
        "symbol": "AAPL",
        "idType": "SYMBOL",
        "id": "AAPL"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/data-api-proxy_api.spec.yml GET /api/v2.1/fundamentals/earningRatios
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API provides endpoints to search for fundamentals and get
    fundamental details.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/fundamentals/earningRatios:
    get:
      tags:
        - Fundamentals
      summary: Get Earning Ratios V2.1
      description: >-
        Retrieve earning ratios for a list of symbols. Includes metrics like P/E
        ratio, EPS, and other earnings-related ratios.
      operationId: get-earning-ratios-v21
      parameters:
        - description: Comma separated list of symbols (e.g., AAPL, MSFT)
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            Return results for dates greater than or equal date specified in
            this parameter (YYYY-MM-DD)
          in: query
          name: asOf
          schema:
            type: string
        - description: Specifies the time period of the returned results (e.g., Q1, 2023)
          in: query
          name: period
          schema:
            type: string
        - description: >-
            Report type: TTM (Trailing Twelve Months), A (As originally
            reported), R (Restated), P (Preliminary)
          in: query
          name: reportType
          schema:
            type: string
      responses:
        '200':
          description: Earning ratios data
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - unsupported_message_type
        - database_query_error
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
      type: string
      x-enum-varnames:
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````